For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTCancel EOR Contract
      • PATCHDelay EOR employee onboarding
      • GETFetch EOR Contract form
      • GETFetch Start Date for EOR Contracts
      • GETGet EOR Additional Costs
      • GETRetrieve Benefits by Country
      • GETRetrieve detailed hiring guide for a country
      • POSTSign EOR contract document
      • PATCHUpdate Employee Information for EOR Contract
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Hiring

Retrieve Benefits by Country

GET
/eor/benefits
GET
/rest/v2/eor/benefits
$curl -G https://api.letsdeel.com/rest/v2/eor/benefits \
> -H "Authorization: Bearer <token>" \
> -d country_code=US \
> -d work_visa=true \
> -d work_hours_per_week=40 \
> -d employment_type=Full-time \
> -d team_id=123e4567-e89b-12d3-a456-426614174000 \
> -d legal_entity_id=123e4567-e89b-12d3-a456-426614174000
1{
2 "data": [
3 {
4 "name": "Health Insurance",
5 "providers": [
6 {
7 "id": "5f4d1f3f-4b3b-4b1e-8f4f-3b1f4f1b3b4b",
8 "name": "Provider A",
9 "type": "Insurance",
10 "plans": [
11 {
12 "id": "5f4d1f3f-4b3b-4b1e-8f4f-3b1f4f1b3b4b",
13 "name": "Premium Employee Plan",
14 "price": 1000,
15 "attachments": [
16 {
17 "id": "5f4d1f3f-4b3b-4b1e-8f4f-3b1f4f1b3b4b",
18 "url": "https://www.provider-a.com/attachments/Spain_Benefits_Snapshot.pdf",
19 "label": "Spain_Benefits_Snapshot.pdf"
20 }
21 ]
22 }
23 ],
24 "country": "US",
25 "currency": "USD",
26 "is_unisure": true,
27 "attachments": [
28 {
29 "id": "5f4d1f3f-4b3b-4b1e-8f4f-3b1f4f1b3b4b",
30 "url": "https://www.provider-a.com/attachments/Spain_Benefits_Snapshot.pdf",
31 "label": "Spain_Benefits_Snapshot.pdf"
32 }
33 ],
34 "home_page_url": "https://www.provider-a.com",
35 "contribution_options": [
36 {
37 "id": "5f4d1f3f-4b3b-4b1e-8f4f-3b1f4f1b3b4b",
38 "amount": 1000
39 }
40 ],
41 "client_info": "You're now offering this employee Flexible Retribution that includes meals, transport and daycare tax free.",
42 "employee_info": "Your company is now offering supplemental benefits.",
43 "max_contribution": 10,
44 "min_contribution": 10
45 }
46 ],
47 "description": "Provide a cost coverage or subsidy for employees relating to Meals or Grocery.",
48 "is_mandatory": true,
49 "is_discriminatory": true
50 }
51 ]
52}

Returns benefits available in a specific country, scoped by work visa requirement, weekly work hours, employment type, team, and legal entity. Token scopes: benefits:read

Was this page helpful?
Previous

Retrieve detailed hiring guide for a country

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

country_codestringRequiredformat: "^[A-Z]{2}$"=2 characters
Country code.
work_visabooleanRequired
Indicates if work visa is required.
work_hours_per_weekdoubleRequired0-168
Working hours per week
employment_typeenumRequired
Type of employment
Allowed values:
team_idstringRequiredformat: "uuid"
The ID of the team the worker belongs to.
legal_entity_idstringRequiredformat: "uuid"
The ID of the legal entity.

Response

Successful operation.
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication